import { NgClass } from '@angular/common';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-star-rating',
  standalone: true,
  imports: [NgClass],
  templateUrl: './star-rating.component.html',
  styleUrl: './star-rating.component.css'
})
export class StarRatingComponent {
  @Input() public rating: number = 0;
  public stars: number[] = [];

  public setRating(rating: number) {
    this.rating = rating;
    this.stars = Array(rating).fill(0);
  }
}
